
Core - Bug # 32673

Task # 32185 (Closed): Migrate TYPO3 Backend to ExtJS4
Task # 32201 (Closed): Umbrella for smaller outstanding tasks

Status: Resolved Priority: Must have
Author: Steffen Ritter Category: Backend User Interface
Created: 2011-12-18 Assigned To: Steffen Ritter
Updated: 2011-12-19 Due date:
TYPO3 Version: 4.7
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: Several removeClass and addClass did not get renamed
Description

in ExtJS4 they renamed some very important function calls.
The Core had not been adapted at all places.

Associated revisions
Revision 8d378484 - 2011-12-19 18:21 - Steffen Ritter

[BUGFIX] Missing renames of addClass and removeClass

With ExtJS4 the function names of addClass and removeClass have
been renamed to addCls and removeCls at all places to have only
one name for the same function throughout the Framework.

Not all occurences within Core have been overworked within the
ExtJS 4 Migration. This is tackled now.

Note: ext:form, ext:workspaces and ext:em are excluded as there
are special Tasks for these extensions.

Change-Id: If54040a01b061766ff867d1368e9b5fa48631b58
Fixes: #32673
Releases: 4.7
Reviewed-on: http://review.typo3.org/7370
Reviewed-by: Georg Ringer
Tested-by: Georg Ringer
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History
#1 - 2011-12-18 19:15 - Gerrit Code Review
- Status changed from New to Under Review
Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7370

#2 - 2011-12-19 09:14 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7370

#3 - 2011-12-19 11:26 - Steffen Ritter
- Assigned To set to Steffen Ritter

#4 - 2011-12-19 18:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8d378484516a5b8e7e1dae564ca0c2bad72994ce.
